## ros-noetic-geographic-msgs 0.5.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geographic_msgs)

find_package(catkin REQUIRED
  COMPONENTS
  message_generation
  geometry_msgs
  std_msgs
  uuid_msgs
)

add_message_files(
  DIRECTORY msg
  FILES
  BoundingBox.msg
  GeographicMapChanges.msg
  GeographicMap.msg
  GeoPath.msg
  GeoPoint.msg
  GeoPointStamped.msg
  GeoPose.msg
  GeoPoseStamped.msg
  KeyValue.msg
  MapFeature.msg
  RouteNetwork.msg
  RoutePath.msg
  RouteSegment.msg
  WayPoint.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  GetGeographicMap.srv
  GetGeoPath.srv
  GetRoutePlan.srv
  UpdateGeographicMap.srv
)

generate_messages(
  DEPENDENCIES
  geometry_msgs
  std_msgs
  uuid_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime geometry_msgs uuid_msgs std_msgs
)

=== debian/changelog ===
ros-noetic-geographic-msgs (0.5.6-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 04 Jun 2021 17:41:36 -0000

ros-noetic-geographic-msgs (0.5.3-1focal) focal; urgency=high

  * Add additional information to ``GetGeoPath`` service response.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 26 Mar 2018 23:00:00 -0000

ros-noetic-geographic-msgs (0.5.2-1focal) focal; urgency=high

  * Fix merge error in GeoPath message.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 14 Apr 2017 23:00:00 -0000

ros-noetic-geographic-msgs (0.5.1-1focal) focal; urgency=high

  * Add GeoPath message with poses.
  * Add GetGeoPath service (#7 <https://github.com/ros-geographic-info/geographic_info/issues/7>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 14 Apr 2017 23:00:00 -0000

ros-noetic-geographic-msgs (0.5.0-1focal) focal; urgency=high

  * Add new ``GeoPointStamped`` and ``GeoPoseStamped`` messages.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 06 Apr 2017 23:00:00 -0000

ros-noetic-geographic-msgs (0.4.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 17 Sep 2014 23:00:00 -0000

ros-noetic-geographic-msgs (0.3.2-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 29 Aug 2014 23:00:00 -0000

ros-noetic-geographic-msgs (0.3.1-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 02 Oct 2013 23:00:00 -0000

ros-noetic-geographic-msgs (0.3.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Aug 2013 23:00:00 -0000

ros-noetic-geographic-msgs (0.2.1-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 12 Aug 2012 23:00:00 -0000

ros-noetic-geographic-msgs (0.2.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 01 Jun 2012 23:00:00 -0000

ros-noetic-geographic-msgs (0.1.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 09 Apr 2012 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-geographic-msgs
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs, ros-noetic-uuid-msgs
Homepage: http://wiki.ros.org/geographic_msgs
Standards-Version: 3.9.2

Package: ros-noetic-geographic-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs, ros-noetic-uuid-msgs
Description: ROS messages for Geographic Information Systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-geographic-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
